import { listItemSchema } from "./_shared.mjs"

/**
 * DataModel pour les items de type "rumor" (rumeurs).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineRumorData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.rumor"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...listItemSchema()
    }
  }
}
